import * as React from 'react';

function useMergedRef(...refs) {
  return React.useCallback(element => refs.forEach(ref => {
    if (typeof ref === 'function') ref(element);else if (ref && typeof ref === 'object') ref.current = element;
  }), refs);
}

export default useMergedRef;