(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory(require('react')) :
  typeof define === 'function' && define.amd ? define(['react'], factory) :
  (global = global || self, global.useMergedRef = factory(global.React));
}(this, (function (React) { 'use strict';

  function useMergedRef() {
    for (var _len = arguments.length, refs = new Array(_len), _key = 0; _key < _len; _key++) {
      refs[_key] = arguments[_key];
    }

    return React.useCallback(function (element) {
      return refs.forEach(function (ref) {
        if (typeof ref === 'function') ref(element);else if (ref && typeof ref === 'object') ref.current = element;
      });
    }, refs);
  }

  return useMergedRef;

})));
//# sourceMappingURL=use-merged-ref.dev.js.map
